org.apache.commons.math.optimization.linear

## Class UnboundedSolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.ConvergenceException
        - - org.apache.commons.math.optimization.OptimizationException
          - - org.apache.commons.math.optimization.linear.UnboundedSolutionException

All Implemented Interfaces:
  java.io.Serializable, MathThrowable

    public class UnboundedSolutionException
    extends OptimizationException

This class represents exceptions thrown by optimizers when a solution escapes to infinity.

Since:
  2.0
Version:
  $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 août 2010) $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version identifier.

### Constructor Summary

Constructors
Constructor and Description
`UnboundedSolutionException()` Simple constructor using a default message.

### Method Summary

### Methods inherited from class org.apache.commons.math.MathException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier.

See Also:
  Constant Field Values

### Constructor Detail

#### UnboundedSolutionException

    public UnboundedSolutionException()

Simple constructor using a default message.